%define upstream_name    IPC-Cmd
%define upstream_version 0.92

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Finding and running system commands made easy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Locale::Maketext::Simple)
BuildRequires: perl(Module::Load::Conditional)
BuildRequires: perl(Params::Check) >= 0.200.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
IPC::Cmd allows you to run commands, interactively if desired, platform
independent but have them still work.

The can_run function can tell you if a certain binary is installed and if so
where, whereas the run function can actually execute any of the commands you
give it and give you a clear return value, as well as adhere to your verbosity
settings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files 
%doc CHANGES META.json META.yml MYMETA.yml README
%{perl_vendorlib}/IPC
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.920.0-5.mga6
+ Revision: 1028796
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.920.0-4.mga6
+ Revision: 946388
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.920.0-3.mga5
+ Revision: 748385
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.920.0-2.mga5
+ Revision: 685097
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.920.0-1.mga5
+ Revision: 587955
- update to 0.92

* Sat Oct 19 2013 umeabot <umeabot> 0.820.0-2.mga4
+ Revision: 529478
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 jquelin <jquelin> 0.820.0-1.mga4
+ Revision: 451887
- update to 0.82

* Wed Mar 27 2013 jquelin <jquelin> 0.780.0-7.mga3
+ Revision: 405502
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.780.0-6.mga3
+ Revision: 368638
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.780.0-5.mga3
+ Revision: 315524
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.780.0-4.mga3
+ Revision: 294850
- perl 5.16.1 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.780.0-3.mga3
+ Revision: 294848
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 0.780.0-2.mga3
+ Revision: 284589
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 0.780.0-1.mga3
+ Revision: 254111
- update to 0.78

* Tue Mar 06 2012 jquelin <jquelin> 0.760.0-1.mga2
+ Revision: 219778
- update to 0.76

* Fri Nov 04 2011 jquelin <jquelin> 0.720.0-2.mga2
+ Revision: 162811
- take priority over module bundled with perl 5.14.2

* Mon Jun 27 2011 jquelin <jquelin> 0.720.0-1.mga2
+ Revision: 114583
- update to 0.72

* Fri Feb 18 2011 jquelin <jquelin> 0.700.0-2.mga1
+ Revision: 53616
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 0.700.0-1.mga1
+ Revision: 52381
- update to 0.70

* Wed Jan 19 2011 jquelin <jquelin> 0.640.0-1.mga1
+ Revision: 24341
- fix specs
- imported package perl-IPC-Cmd


* Sat Nov 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.640.0-1mdv2011.0
+ Revision: 597098
- update to 0.64

* Wed Jul 28 2010 Jérôme Quelin <jquelin@mandriva.org> 0.600.0-3mdv2011.0
+ Revision: 562426
- rebuild

* Sat Jul 24 2010 Jérôme Quelin <jquelin@mandriva.org> 0.600.0-2mdv2011.0
+ Revision: 558162
- rebuild

* Mon Jul 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.600.0-1mdv2011.0
+ Revision: 551222
- update to 0.60

* Fri Feb 05 2010 Jérôme Quelin <jquelin@mandriva.org> 0.560.0-1mdv2010.1
+ Revision: 501137
- update to 0.56

* Sun Nov 22 2009 Jérôme Quelin <jquelin@mandriva.org> 0.540.0-1mdv2010.1
+ Revision: 468934
- update to 0.54

* Thu Sep 10 2009 Jérôme Quelin <jquelin@mandriva.org> 0.500.0-1mdv2010.0
+ Revision: 437213
- update to 0.50

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.460.0-1mdv2010.0
+ Revision: 402561
- rebuild using %%perl_convert_version

* Thu Jun 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.46-1mdv2010.0
+ Revision: 387008
- update to new version 0.46

* Tue May 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.44-1mdv2010.0
+ Revision: 372109
- update to new version 0.44

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.42-1mdv2009.1
+ Revision: 292191
- update to new version 0.42

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.40-3mdv2009.0
+ Revision: 257369
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.40-1mdv2008.1
+ Revision: 104498
- update to new version 0.40

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.38-1mdv2008.1
+ Revision: 97658
- update to new version 0.38


* Tue Nov 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.36-1mdv2007.0
+ Revision: 87852
- new version

* Thu Nov 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdv2007.1
+ Revision: 86576
- new revision

* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdv2007.1
+ Revision: 84468
- Import perl-IPC-Cmd

* Sat Sep 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdv2007.0
- new version
- fix sources URL

* Fri Sep 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-2mdv2007.0
- Rebuild

* Mon Apr 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-1mdk
- first mdk release

